> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get all forms

GET https://api.vomo.org/v1/forms

Returns all forms

Reference: https://virtuous.ferndocs.com/reference/volunteer/forms/list-forms

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `name_like` (string, optional) — The form name, or part of a name, to search for.
- `created_before` (datetime, optional) — Date the Form was created on or before.
- `created_after` (datetime, optional) — Date the Form was created on or after
- `updated_before` (datetime, optional) — Date the Form was updated on or before.
- `updated_after` (datetime, optional) — Date the Form was updated on or after
- `include_archived` (enum, optional, default: false) — This flag will include archived forms.
  - Allowed values: `true`, `false`

## Response

### 200

successful operation

- `data` (list of list of FormResourceItems, optional)
- `links` (FormsGetResponsesContentApplicationJsonSchemaLinks, optional)
- `meta` (FormsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### FormResourceItems

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The ID of the form
- `name` (string, optional) — The name of the form
- `description` (string, optional) — A description for the form
- `form_type` (enum, optional) — The form type
  - Allowed values: `PROJECT`
- `slug` (enum, optional) — The slug for the field
  - Allowed values: `SHORTTEXT`, `LONGTEXT`, `DROPDOWN`, `MULTIPLESELECT`, `WAIVER`, `TEXTSINGLE`
- `author_id` (integer, optional) — The id of the form author
- `organization_id` (integer, optional) — The id of the organization the form belongs to
- `updated_at` (datetime, optional) — The date and time the form completion was updated at
- `created_at` (datetime, optional) — The date and time the form completion was created at
- `deleted_at` (datetime, optional) — The date and time the form was archived at
- `fields` (list of list of FormFieldResourceItems, optional) — The form fields, when applicable

### FormsGetResponsesContentApplicationJsonSchemaLinks

- `first` (string, optional) — A link to the first page of results
- `last` (string, optional) — A link to the last page of results
- `prev` (string, optional) — A link to the previous page of results
- `next` (string, optional) — A link to the next page of results

### FormsGetResponsesContentApplicationJsonSchemaMeta

- `current_page` (integer, optional) — The current page
- `from` (integer, optional) — The index of the first result on this page
- `to` (integer, optional) — The index of the last result on this page
- `path` (string, optional) — The base URL
- `per_page` (integer, optional) — The number of results per page
- `total` (integer, optional) — The total number of results

### FormFieldResourceItems

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The ID of the form field
- `name` (string, optional) — The name of the field
- `description` (string, optional) — The description of the field
- `field_type` (enum, optional) — The type for the field
  - Allowed values: `SHORTTEXT`, `LONGTEXT`, `DROPDOWN`, `MULTIPLESELECT`, `WAIVER`, `TEXTSINGLE`
- `slug` (string, optional) — The slug for the field
- `show_in_profile` (boolean, optional) — Should the field appear in the users profile
- `options` (list of list of FormFieldOptionResourceItems, optional) — The field options, when applicable

### FormFieldOptionResourceItems

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The id of the option
- `name` (string, optional) — The name of the option
- `value` (string, optional) — The value of the option
- `enabled` (boolean, optional) — If the option is enabled
- `weight` (integer, optional) — Where the option should appear in the list

## Examples

**Response**

```json
{
  "data": [
    [
      {
        "type": "form",
        "id": 1,
        "name": "Volunteer Application",
        "description": "Thank you for supporting our organization. This is a standard application required for volunteering with us.",
        "form_type": "PROJECT",
        "slug": "SHORTTEXT",
        "author_id": 1,
        "organization_id": 1,
        "updated_at": "2016-03-07T07:49:41+00:00",
        "created_at": "2016-03-07T07:49:41+00:00",
        "deleted_at": "2016-03-07T07:49:41+00:00",
        "fields": [
          [
            {
              "type": "form_field",
              "id": 1,
              "name": "T-shirt Size",
              "description": "Please select a T-Shirt size",
              "field_type": "DROPDOWN",
              "slug": "2d8614a5-31ed-4810-8da2-448f59463e43",
              "show_in_profile": 1,
              "options": [
                [
                  {
                    "type": "field_option",
                    "id": 1,
                    "name": "Small",
                    "value": "S",
                    "enabled": 1,
                    "weight": 0
                  }
                ]
              ]
            }
          ]
        ]
      }
    ]
  ],
  "links": {
    "first": "https://api.vomo.org/v1/forms?page=4",
    "last": "https://api.vomo.org/v1/forms?page=4",
    "prev": "null",
    "next": "https://api.vomo.org/v1/forms?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "to": 15,
    "path": "https://api.vomo.org/v1/forms",
    "per_page": 15,
    "total": 49
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.vomo.org/v1/forms"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.vomo.org/v1/forms';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vomo.org/v1/forms"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vomo.org/v1/forms")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/forms")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vomo.org/v1/forms', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vomo.org/v1/forms");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vomo.org/v1/forms")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```